Package com.xebialabs.xlrelease.domain.management

# Class SimpleServiceStatus

java.lang.Object
com.xebialabs.xlrelease.domain.management.SimpleServiceStatus

All Implemented Interfaces:
  `ServiceStatus`, `Serializable`, `scala.Equals`, `scala.Product`

public class SimpleServiceStatus extends Object implements ServiceStatus, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleServiceStatus(String name, scala.Enumeration.Value state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SimpleServiceStatus`
  `apply(String name, scala.Enumeration.Value state)`
  `boolean`
  `canEqual(Object x$1)`
  `SimpleServiceStatus`
  `copy(String name, scala.Enumeration.Value state)`
  `String`
  `copy$default$1()`
  `scala.Enumeration.Value`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `String`
  `name()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `scala.Enumeration.Value`
  `state()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,scala.Enumeration.Value>>`
  `unapply(SimpleServiceStatus x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### SimpleServiceStatus

    public SimpleServiceStatus(String name, scala.Enumeration.Value state)

- ## Method Details

  - ### apply

    public static SimpleServiceStatus apply(String name, scala.Enumeration.Value state)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,scala.Enumeration.Value>> unapply(SimpleServiceStatus x$0)

  - ### name

    public String name()
    Specified by:
      `name` in interface `ServiceStatus`

  - ### state

    public scala.Enumeration.Value state()
    Specified by:
      `state` in interface `ServiceStatus`

  - ### copy

    public SimpleServiceStatus copy(String name, scala.Enumeration.Value state)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public scala.Enumeration.Value copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`